## Introduction
Tired of configuring every new React project with essential packages?  Fear no more.    
Use `react-shuttle` and save yourself the hard work of configuring each new React project. 
This template focuses on (or at least tries) doing the annoying stuff.  
You can just focus on the development process itself.
    
    
## What is included?
Libraries:
  * generated with [create-react-app](https://github.com/facebook/create-react-app)
  * [react-redux](https://github.com/reduxjs/react-redux)
  * [redux-thunk](https://github.com/reduxjs/redux-thunk)
  * [redux-logger](https://github.com/LogRocket/redux-logger)
  * [redux-devtools](https://github.com/reduxjs/redux-devtools) (extensions enabled)
  * [react-router-dom](https://github.com/ReactTraining/react-router)
  * [connected-react-router](https://github.com/supasate/connected-react-router)
  * [react-bootstrap](https://github.com/react-bootstrap/react-bootstrap)
  * [react-toastify](https://github.com/fkhadra/react-toastify)
  
  
## 1. Installation
```$ npm install --global react-shuttle```,  
Or you can just use the [lib/](https://github.com/c0dewriter/react-shuttle/tree/master/lib) directory of this repo.
    

## 2. Usage
New project:  `$ react-shuttle initialize <project-name> [option(s?)]`   
You can view the command(s?) with  `$ react-shuttle --help`.   
It's all very descriptive.   

## Contributing
##### I want something added:  
- Great! Just open an issue with `(feature request)` prefix in the title and I'll take a look at it.  
  Keep in mind that this is just a boilerplate for general-use cases to provide a headstart.
##### I wanna help:
- Help is always much appreciated. Just fork me if you've got any good packages in mind.

## Wishlist:
- [ ] Better file/folder structure.
- [ ] Include [CASL](https://github.com/stalniy/casl)
- [ ] Include [reselect](https://github.com/reduxjs/reselect) (for efficiency)
- [ ] Include [redux-search](https://github.com/bvaughn/redux-search)
- [ ] CLI Redux generator.