import React from 'react';	
import { Switch, Route } from 'react-router-dom';
import { Provider } from 'react-redux';
import PropTypes from 'prop-types';
import { ConnectedRouter } from 'connected-react-router'
import { ToastContainer } from 'react-toastify';

 
import{ history } from './store';
import { Main } from '../views/Main';


const Routes = ({ store }) => (
  <Provider store={store}>
   	<ConnectedRouter history={history}>
   		<Switch>
   			<Route exact path="/" component={Main} />
   			<Route render={() => <div>404</div>}/>
   		</Switch>
   	</ConnectedRouter>
   	<ToastContainer />
  </Provider>
)


Routes.propTypes = {
	store: PropTypes.object.isRequired
};

export default Routes;