import React from 'react';

// Sanity Checks
import { toast } from 'react-toastify';
import 'react-toastify/dist/ReactToastify.css';
import { Sample } from './Sample';
import CloseButton from '../layout/common/toast/CloseButton';
import { Button } from 'react-bootstrap';


class Main extends React.Component {
	constructor(props) {
		super(props);
		this.state = { toastWorking: false };
	}

	__showToast() {
		toast("Can you see the toast?", {
				position: toast.POSITION.TOP_RIGHT,
				autoClose: false,
				closeButton: <CloseButton parent={this} />
			}
		);
	}

	componentDidMount() {
		this.__showToast();
	}

	render() {
		return(
			<main>
				<header className="jumbotron">
					<h1>Initialization Successful!</h1>
				</header>

				<div className="container">
					<h5>Sanity Check:</h5>
						<ul>
							<li>
								<span>Toast: </span>{'   '}
								{this.state.toastWorking
									? <span className="text-success">Functional</span> 
									: <span className="text-warning">Can u see the toast?</span>
								}
								<Button className="ml-4" size='sm' variant="outline-secondary" onClick={() => this.__showToast()}>Show again</Button>
							</li>
							<li>
								<span>Redux: </span>{'   '}
								<Sample />
							</li>
							<li>
								<span>Redux-Logger: <span className="text-warning">Check console</span></span>
							</li>
						</ul>
				</div>
			</main>
		)
	}
}

export { Main };