import React, { Component } from 'react';

// redux imports
import { connect } from 'react-redux';
import { sampleActions } from '../_redux/actions';


class Sample extends Component {
	constructor(props) {
		super(props);
		this.state = { };
	}

	componentDidMount() {
		this.props.getSamples();
	}

	renderSampleData() {
		if (this.props.sample) 
			if(this.props.sample.loading)
				return <span className="text-warning">loading</span>
			else if(this.props.sample.data)
				return <span className="text-success">Functional</span>
		else
			return <span className="text-danger">Uh-oh!</span>
	}

	render() {
		return(
			<span>
				{ this.renderSampleData() }
			</span>
		)
	}
}

function mapStateToProps(state) {
	const { sample } = state;
	return { 
		sample
	}
}

function mapDispatchToProps(dispatch) {
	return ({
		getSamples: () => { dispatch(sampleActions.get()) }
	})
}

const connectedSample = connect(mapStateToProps, mapDispatchToProps)(Sample);
export { connectedSample as Sample };